/public/channels/{channelType}

Get channel configurations for multiple agents by ID

POST
/public/channels/{channelType}

Get channel configurations for multiple agents by ID

Path Parameters

channelType*string
Value in"voip" | "sip" | "webrtc" | "websocket" | "kiosk"

Query Parameters

extended?boolean
Defaultfalse

Header Parameters

X-API-Version?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/problem+json

application/problem+json

application/json

application/json

curl -X POST "https://companion-api.napster.com/public/channels/voip" \  -H "Content-Type: application/json" \  -d '{}'
[
  {
    "id": "string",
    "apiKeyId": "string",
    "channelType": "string",
    "initialSpeech": "string",
    "functions": [
      "string"
    ],
    "mcp": {
      "servers": [
        "string"
      ],
      "connectors": [
        "string"
      ]
    },
    "faqCollections": [
      "string"
    ],
    "knowledgeBaseId": "string",
    "providerSettings": {
      "instructions": "string",
      "turnDetection": {
        "threshold": 0.1,
        "prefix_padding_ms": 0,
        "silence_duration_ms": 0
      },
      "temperature": 0.1,
      "noiseReduction": {
        "type": "nearField"
      }
    },
    "humanHandoff": {
      "enabled": true,
      "transferExtension": "string",
      "routes": [
        {
          "extension": "string",
          "purpose": "string"
        }
      ]
    },
    "voipEndpoint": "string",
    "useGreenVideo": true,
    "videoPolicy": "required",
    "useWebSearch": true,
    "url": "string",
    "theme": "string",
    "locale": "string",
    "idleTimeoutSeconds": 0,
    "preferredModelVersion": "v1",
    "avatar": {
      "id": "string",
      "name": "string",
      "preview": "string",
      "video": {
        "id": "string",
        "url": "string",
        "hdUrl": "string",
        "maskUrl": "string",
        "faceDetsUrl": "string",
        "v2DataUrl": "string",
        "v2OnnxDataUrl": "string",
        "v2CoremlDataUrl": "string",
        "facePosition": [
          0.1
        ],
        "createdAt": 0
      }
    },
    "created": 0
  }
]
{
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}